Subject: bug#17659: 24.3.90; C-x 8 ? displays help instead of inserting INVERTED QUESTION MARK

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Jun 2014 21:52:26 -0400

>> The subject says it all: when I type C-x 8 ?, I expect emacs to insert
>> into the buffer Unicode 191, INVERTED QUESTION MARK.  However, instead
>> it displays a *Help* buffer whose first line reads
>> Key translations Starting With C-x 8:
> ? is bound in iso-transl-ctl-x-8-map but oddly the ? (help-char) takes
> precedence. Stefan, any idea where to look to fix it?

I guess it's in read_key_sequence (you know, that self-evident 10-liner).

        Stefan